#include <iostream>
#include <string>
#include <cmath>
using namespace std;

int main() 
{ 
	string k;
	int x,y;
	
	cin>>k;
	cin>>x>>y;

	if(abs(x-y)>1) cout<<"nemoguce";
	else{
		int veci,manji;
		if(x>=y){
			veci=x;
			manji=y;
		}
		else{
			veci=y;
			manji=x;
			int temp=k[0];
			k[0]=k[1];
			k[1]=temp;
		}
		
		for(int i=0;i<x+y;i++){
			if((i%2)==0) cout<<k[0];
			else cout<<k[1];
		}
		
		
	}

    return 0; 
}